<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width>, initial-scale=1.0" />
    <title>Calculator</title>
    <script>
        function myfun(a){
            document.getElementById("de").value+=a;
        }
       function calc(){
        let x=document.getElementById("de").value;
        let y=eval(x);
        document.getElementById("de").value=y;
        
}
function clear1()
{
  document.getElementById("de").value=" ";
}
        </script>
  </head>
  <body>
      <style>
          div{
              background-color:rgb(201, 193, 193);
              border:3px solid pink;
              width:100px;
              padding:10px;
              margin:20px;
          }
          .b{
              float:right;
              
          }
   
          .button{
              width:30px;
              height:30px;
          }
          </style>
        <h1>Calculator</h1>
          <div>
              
           <input type="text" id="de" style=width:100px><br><br>
    <button type="button"  class="button" onclick="myfun('1')"><b>1</b></button>
    <button type="button" class="button" onclick="myfun('2')"><b>2</b></button>
    <button type="button" class="button" onclick="myfun('3')"><b>3</b></button><br><br>
    <button type="button" class="button" onclick="myfun('4')"><b>4</b></button>
    <button type="button" class="button" onclick="myfun('5')"><b>5</b></button>
    <button type="button" class="button" onclick="myfun('6')"><b>6</b></button><br><br>
    <button type="button" class="button" onclick="myfun('7')"><b>7</b></button>
    <button type="button" class="button" onclick="myfun('8')"><b>8</b></button>
    <button type="button" class="button" onclick="myfun('9')"><b>9</b></button><br><br>
    <button type="button" class="button" onclick="myfun('0')"><b>0</b></button><br><br>
    <button type="button" class="button" class="b" onclick="myfun('+')">+</button>
    <button type="button" class="button" class="b" onclick="myfun('-')">-</button>
    <button type="button" class="button" class="b" onclick="myfun('*')">*</button>
    <button type="button" class="button" class="b" onclick="myfun('/')">/</button>
    <button type="button" class="button" class="b" onclick="clear1()">C</button>
    <button type="button" class="button" class="b" onclick="myfun('.')">.</button>
    <button type="button" class="button" class="b" onclick="calc()">=</button>
    </div>
  </body>
</html>
